#
# spec file for package python-msrestazure
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-msrestazure
Version:        0.6.4
Release:        2.13
Summary:        AutoRest swagger generator - Azure-specific module
License:        MIT
Group:          Development/Languages/Python
URL:            https://pypi.python.org/pypi/msrestazure
Source:         https://files.pythonhosted.org/packages/source/m/msrestazure/msrestazure-%{version}.tar.gz
Source1:        LICENSE.md
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-adal < 2.0.0
Requires:       python-adal >= 0.6.0
Requires:       python-msrest < 2.0.0
Requires:       python-msrest >= 0.6.0
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
AutoRest swagger generator Python client runtime. Azure-specific module.

%prep
%setup -q -n msrestazure-%{version}
cp %{SOURCE1} LICENSE.md

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files  %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.md
%{python_sitelib}/*

%changelog
* Thu Nov 26 2020 Robert Schweikert <rjschwei@suse.com>
- Only build Python3 flavors for distributions 15 and greater
* Fri Aug 28 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.6.4
  + For detailed information about changes see the
    README.rst file provided with this package
- Update Requires from setup.py
* Tue Mar 31 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.6.3
  + For detailed information about changes see the
    README.rst file provided with this package
* Fri Oct  4 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.6.2
  + For detailed information about changes see the
    README.rst file provided with this package
* Mon Apr 15 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.6.0
  + No upstream changelog provided
- Add %%python_expand to %%fdupes invocation
- Remove python-devel package from BuildRequires
- Update Requires from setup.py
* Thu Sep  6 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.5.0
  + No upstream changelog provided
- Drop obsolete patches
  + m_drop-compatible-releases-operator.patch
- Update Requires from setup.py
- Update Summary from setup.py
* Tue Apr 24 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.4.28
  + For detailed information about changes see the
    README.rst file provided with this package
- Move LICENSE.txt from %%doc to %%license section
- Refresh patches for new version
  + m_drop-compatible-releases-operator.patch
- Update Requires from setup.py
* Wed Jan 31 2018 adrian.glaubitz@suse.com
- Install LICENSE.md into doc directory
* Fri Jan 26 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.4.20
- Install README.rst into doc directory
- Update Requires from setup.py
* Tue Sep 19 2017 adrian.glaubitz@suse.com
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + m_drop-compatible-releases-operator.patch
* Mon Jul 10 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.4.11
- Provide full source URL in Source field
- Convert package to single spec
* Mon Dec 12 2016 ms@suse.com
- Include in SLE 12 (fate#322171, bsc#1014478)
* Mon Dec 12 2016 ms@suse.com
- Initial build
  + Version 0.4.5
